/**
   * 00. GENERAL
   *
   * -------------------------------------------------------------------
   */
:is(.section-contact, .message-title) h1 {
    font-family: Poppins;
    font-size: 50px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    margin-bottom: 18px;
    margin-top: 0;
}

:is(.section-contact, .message-title) h2 {
    font-family: Inter;
    font-size: 26px;
    font-style: normal;
    font-weight: 400;
    line-height: 32px;
}

/**
   * 00. CONTACT
   *
   * -------------------------------------------------------------------
   */
.contact-grid {
    /* display: grid; */
    /* grid-template: auto / 50% 50%; */
    min-width: 320px;
    padding-top: 80px;
    padding-bottom: 60px;
}

.form,
.btn-send :is(.btn-white-top) {
    background-color: #f5f5f5;
}

.form {
    background-color: #f5f5f5;
    border-radius: 32px;
    border: 1px solid #232227;
    box-shadow: 6px 6px 0px #232227;
    display: flex;
    flex-direction: column;
    font-size: 0.938rem;
    line-height: 1.5rem;
    padding: 65px 33px 49px;
}

.form :is(input, textarea) {
    background-color: transparent;
    border-radius: 14px;
    border: 1px solid #6d6b71;
    outline-color: #232227;
    padding: 19px 17px;
}

.form :is(input, textarea, .btn-send) {
    margin-bottom: 40px;
}

.btn-send :is(.btn-white-top) {
    padding: 1.313em 2.563em;
}

.btn-send :is(.btn-bottom, .btn-top) {
    border-radius: 16px;
}

.btn-send {
    margin-right: 1em;
    width: fit-content;
}

.btn-send .btn-bottom {
    background-color: #232227;
}

.contact {
    display: flex;
    height: 686px;
    justify-content: center;
    padding-top: 7rem;
    width: 100%;
}

.user {
    background-image: url(../assets/images/user.png);
    background-repeat: no-repeat;
    background-size: contain;
    height: 291px;
    left: 5%;
    position: absolute;
    width: 584px;
    bottom: 0;
}

/**
   * 00. MESSAGE
   *
   * -------------------------------------------------------------------
   */

#st-container > div > div > div > main {
    position: relative;
}

.section-message {
    min-height: calc(100vh - 174px - 83px);
    position: relative;
}

.message-grid {
    display: grid;
    grid-template-rows: 100vh;
    min-width: 320px;
    padding: 2% 5%;
}

.message-image {
    background-image: url("../assets/images/Varita.png");
    background-repeat: no-repeat;
    background-size: contain;
    bottom: 0;
    position: absolute;
    right: 0;
    height: 710px;
    width: 387px;
}

.message-title {
    padding-top: 108px;
}

.message-title h2 {
    width: fit-content;
}

.title-we-are-ready-to-make-magic {
    position: relative;
    width: fit-content;
}

.underline-wrapper {
    position: relative;
    width: fit-content;
    display: inline-block;
}

.message-title .underline {
    background-image: url("../assets/icons/underline.png");
    height: 11px;
    position: absolute;
    width: 230px;
    left: -68px;
}

@media (max-width: 1200px) {
    .user {
        height: 210px;
    }
}

@media (max-width: 992px) {
    .message-image {
        height: 489px;
        width: 262px;
        left: 0;
        right: 0;
        margin-left: auto;
        margin-right: auto;
    }
    .message-title {
        padding-bottom: 520px;
    }
    .title-we-are-ready-to-make-magic {
        margin-right: auto;
        margin-left: auto;
    }
}
@media (max-width: 768px) {
    .contact-grid {
        padding-bottom: 364px;
    }

    .message-grid {
        grid-template-rows: 100vh;
    }

    .user {
        height: 270px;
        background-position: center;
        width: 100vw;
        left: 0;
    }

    .message-title .underline {
        width: 160px;
        left: 0;
    }
}

@media (max-width: 576px) {
    .form {
        padding: 20px 0px;
    }

    .form :is(input, textarea, .btn-send) {
        margin: 15px;
    }

    .user {
        height: 50vw;
    }

    .contact-grid {
        padding-bottom: 53vw;
    }
}
